<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>跨域资源共享（CORS）-原生</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<script>
	// 前端设置是否带cookie
	xhr.withCredentials = true;
	var xhr = new XMLHttpRequest(); // IE8/9需用window.XDomainRequest兼容
	// 前端设置是否带cookie
	xhr.withCredentials = true;
	xhr.open('post', 'http://www.domain2.com:8080/login', true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send('user=admin');
	xhr.onreadystatechange = function() {
		 if (xhr.readyState == 4 && xhr.status == 200) {
		 alert(xhr.responseText);
		}
	};
</script>
 </body>
</html>